<document type=media nostar=0 staropac=08 style=white opacity=25 star=@balls xpage=@balls>
:@+ background 
<slide id=summary mode=hide>
<c><p align=right><a href=@archive/ae/who-am-i.pdf><b><red>who-am-i?</red></b></a> / <a href=short-cv.html>short</a></p></c> 
<lp>
In my student years I explored the intellectual and aesthetic
arena, including the visual arts, electronic computer music,
and what in retrospect may be regarded as the foundations
of Artificial Intelligence, that is philosophy, logic, psychology and
computer science.
At a certain stage, I took up an interest in theoretical
computer science,
which resulted in a Ph.D. degree on the design, semantics
and implementation of a distributed logic programming language,
about which I published a book, [_DLP].
During my employment at the VU, the focus shifted towards
software engineering, and in particular object oriented
programming, which resulted in a text book of which a second edition has
appeared, [_OO]. Gradually, I developed an interest in
hypermedia, multimedia user interfaces and the Web, which took shape
in the <url href=http://www.cs.vu.nl/~eliens/online/projects/dv>DejaVU project</url>. The DejaVU project has resulted in
the <em><url href=http://www.cs.vu.nl/~eliens/online/hush>hush</url></em> library, [_HUSH], that has been used in the Software
Engineering Practicum, 
and extensions of <em>hush</em> such as the simulation library sim, [_SIM],
that has been used for BWI courses.
The project also led to
a series of publications concerning the Web,
which appeared on a number of successive Int. WWW Conferences,
[_Music],[_Jamming], as well as
other conferences, [_Animate],[_Simulate].
In that time I also organized
two consecutive workshops for the WWW5 and WWW6 conferences,
entitled, respectively, 
<a href=http://www.cs.vu.nl/~eliens/online/workshops/www5 target=_top><em>Programming the Web</em></a>
and <a href=http://www.cs.vu.nl/~eliens/online/workshops/www6 target=_top><em>Logic Programming and the Web</em></a>.
The DejaVU project attracted many students
of which a selection became research assistents,
studying topics such as  hypermedia, simulation and visualization,
and task modeling and groupware.
In 1998, I got involved in multimedia retrieval research,
in an exchange with the CWI, which resulted in
an experimental <a href=http://www.cs.vu.nl/~eliens/online/papers/midi/contents.html>musical feature detector for MIDI</a> as well as an NWO proposal for
the <a href=research/rif.html>RIF</a> project to
extend this approach to virtual worlds and VRML.
My interests at that time  may be summarized as, in brief,
knowledge management,
visualization and retrieval in 3D VRML-based virtual worlds.
<lp>
Over the years my interest in logic-based approaches has never disappeared, 
as testified by the software architecture developed for
multimedia feature detection,
and a <a href=http://www.cs.vu.nl/~eliens/logic>study group</a>
at the VU focussing
on the application of logic-based programming in software engineering
applications, which was active until august 2000 when
my Ph. D. students finished their theses.
<lp>
Around november 1999, the first Java-based implementation
of DLP became available. At that time, I had a post-doc working
at the WASP project for about half a year.
The WASP project focussed on web agents, but since the actual work
on the project started so late, we decided to merge the
WASP and RIF projects, that is to work on agents in virtual environments.
When the project at CWI stopped, due to changes in personell,
we (almost immediately) extended DLP with VRML, using the Java
External Authoring Interface for VRML.
This change in directions resulted in a number of publications,
among which [_Community], which describes the application of
the DLP+VRML platform to multi-user 3D communities and games.
All in all, my interest in visualisation and 3D, has led
to four consecutive publications at the international Web3D Symposium.
<lp>
In retrospect, the research may be characterized
as research in <em>intelligent multimedia</em>, in particular
the combination of DLP and X3D/VRML may be regarded as
an innovative step in this field.
Our focus of attention now is to improve this platform and
to include XML-based standards for the description of worlds,
behaviours and also contents,
to arrive (in the end) at an <a href=research/demo/paper-platform.html>XML-based platform for rich media, driven by agent technology</a>.
%%An NWO proposal, <a href=research/avid.html>AVID -- <em>Agents and Virtual environments In DLP</em></a>, has been submitted.
Actually, my interest in XML is not surprising,
since we developed probably the first SGML-based web browser
(with <a href=@online/hush/index.html><em>hush</em></a> applets)
already in 1995.
<lp>
At the end of the previous millenium, I made an effort
to put all research work <url href=http://www.cs.vu.nl/~eliens/online>online</url>, including
<a href=http://www.cs.vu.nl/~eliens/online/papers target=_top>papers</a>,
<a href=http://www.cs.vu.nl/~eliens/online/talks target=_top>talks</a>,
and <a href=http://www.cs.vu.nl/~eliens/online/hush target=_top>software documentation</a>.
In addition, my educational material is becoming available in the
form of online <a href=http://www.cs.vu.nl/~eliens/online/lectures target=_top>lectures</a>.
With the second edition, I have also developed
an online version of my book <a href=http://www.cs.vu.nl/~eliens/online/oo target=_top>Principles of Object-Oriented
Software Development</a>, that allows for immediate presentation.
As a pet project, I extended this format to include 3D
presentations, which I liked to have for my <em>multimedia</em>
courses. A paper, entitled <a href=research/demo/slides.html><em>what is the
secret of the slides?</em></a> is in preparation.
This presentation feature is, for example, also available in my
<em><url href=http://www.cs.vu.nl/~eliens/media>introduction multimedia</url></em>, a book that I am writing
for the introductory multimedia course.
<lp>
At the end of 2003, the <em>Intelligent Multimedia Group</em>
has produced numerous papers in the field of intelligent
agents and virtual reality (for example three publications
in the <a href=http://www.sigmedia.org/iva03/>Interactive Virtual Agents</a> conference in Irsee, Germany),
and the research has also resulted
in a state of the art platform for <em>intelligent multimedia</em>,
which is now relatively stable.
In addition, our educational activities now only concern
(technical) <a href=http://www.cs.vu.nl/~eliens/multimedia/mmc.html>multimedia</a>.
Nevertheless, although OO is no longer in the focus of my interest,
I was pleased to receive translations of my OO book both
in russian and chinese.
<lp>
In may 2006
uur mission statement still is:
<quote>
<em>
<url href=http://www.cs.vu.nl/~eliens/research> ... to study aspects of the deployment and architecture of virtual environments as an interface to (intelligent) multimedia information systems </url>
</em>
</quote>
<lp>
As a follow up on our <em>intelligent multimedia</em> research,
in which we developed a platform for intelligent agents
in 3D virtual space,
we 
now focus on the use of
game technology for immersive serious applications, in particular:
<small>
<ul>
<li> <url href=http://www.cs.vu.nl/~eliens/research/research-dossiers.html>digital dossiers in cultural heritage</url>
<li> game @ VU -- <url href=http://www.cs.vu.nl/~eliens/research/research-game.html>developing serious games</url>
<li> <url href=http://www.cs.vu.nl/~eliens/media/4-3.html>reality augmented presentation technology</url>
</ul>
</small>
This research is, at the moment of writing, the end of may 2006, still in its inceptive
and explorative phase, and primarily done in cooperation with students
as part of the regular multimedia courses or individual projects.
<lp>
In 2006 and 2007 I was involved in a number of projects, 
cooperating with partners outside of the Faculty of Sciences.
As I wrote in <em><url href=http://www.cs.vu.nl/~eliens/research/report-06.html>report 2006</url></em>
<small>
<quote>
Time never stands still.
After observing that times flies like an arrow in my <url href=http://www.cs.vu.nl/~eliens/research/report-05.html>report 2005</url>, there have been many developments. First of all, I am happy to observe that most of the planned publications have been realized, and that apart from the uncertainty about multimedia @ VU, which led to a number of discussions with the management, the future does not look so bad.
<lp>
The overall direction of research as outlined in
<url href=http://www.cs.vu.nl/~eliens/research/research-plan-06.html>research plan 2006</url> which is oriented towards the application of
<em><url href=http://www.cs.vu.nl/~eliens/research/game.html>game technology</url></em> in various application domains seems to be fruitful,
not in the least due to interest of parties within the VU,
albeit outside of FEW: 
<small>
<ul>
<li> <url href=http://www.cs.vu.nl/~eliens/projects/project-climate.html>climate game @ VU</url>
<li> <url href=http://www.cs.vu.nl/~eliens/projects/project-secondlife.html>VU @ Second Life</url>
</ul>
</small>
\noindent
The <em>climate game</em> project is done in cooperation with
the <em>Climate Centre</em> to prepare a submission for the 
<em>Academische Jaarprijs</em>.
The <em>Second Life</em> project is done in cooperation with
among others Frans Feldberg from FEWEB, and has resulted in
a provisional funding of 10.000 euro from the CvB to further
explore this initiative in the context of the planned 
<em>Media Institute</em>. The 1st of march, the opening of 
<em>VU @ Scond Life</em> was reported on the (national) RTL news
television broadcast, and (locally) in Amsterdam covered by AT5
and CampusTV..
Several newspapers, among which Telegraaf and Parool, also reported on this.
</quote>
</small>
Currently, we are developing a  demo of <em><url href=http://www.climafutura.nl>Clima Futura</url></em>, to acquire sponsors needed to take the game in production.
Finally, september 2007 I completed the manuscript of
<em><url href=http://www.cs.vu.nl/~eliens/media>topical media &amp; game development</url></em>, that started as a syllabus for the <em>introduction multimedia</em> course, but has grown into a personal statement expressing my views on a wide variety topics related to multimedia and game development.

<c>
<p align=right>
<a href=research/correspondences.html><red>what led me to multimedia?</red></a> /
%%<a href=research/note-work-06.html>activities 2004-2006</a> /
<a href=overview-09.html>overview 2009</a>
%% <a href=research/note-work-06.html>report 2006</a> 
</p>
</c>


</slide>

<slide id=diplomas mode=hide>
:@ diplomas
<small>
<ul>
<li> 1979 -- Doctoraal Philosophy (UvA)
<li> 1979 -- Gerrit Rietveld Academy - painting
<li> 1985 -- Doctoraal Psychology (UvA)
<li> 1986 -- Doctoraal Informatica (UvA, cum laude)
<li> 1991 -- Ph.D. Informatica, prof. dr. J. de Bakker, prof. dr. P. Klint
</ul>
</small>
</slide>

:@ employment
<slide id=employment mode=hide>
<small>
<ul>
<li> 1979-82: project medewerker Institute of Sonology (Univ of Utrecht)
<li> 1981-82: assistent researcher, Dept of Philosophy, UvA
<li> 1996-90: assistent researcher, CWI
<li> 1990-..: universitair docent, FEW/Informatica/IM&amp;SE, VU
<li> 1998-2000: senior researcher, CWI (part-time, in exchange with VU)
<li> dec 2008 - juli 2011 -- (part-time) professor creative technology / new media (UTwente/EWI)
</ul>
</small>
</slide>

:@ organisations
<small>
<ul>
<li> Professional member of ACM/SIGWEB
<li> Professional member of IEEE
<li> Professional member of Web3D Consortium
<li> member of ANMA -- Amsterdam New Media Association
</ul>
</small>


%%:@ further information
%%prof dr G. Schreiber (VU),
%%prof dr G. vd Veer (VU),
%%prof dr J. Bergstra (UvA,UU),
%%prof dr J.C. van Vliet (VU),
%%prof dr J. Treur (VU/CWI),
%%prof dr M.L. Kersten (CWI/UvA),
%%prof dr P. de Bra (TUE/CWI),
%%<c><silver>prof dr. J.W. de Bakker (formerly: CWI/VU).</silver></c>
%%prof dr. P.Klint (CWI/UvA).
</document>
