%{
//@auto=0
//@class index
%}
%class lex
%{
#include <hush/grammar/lex.h>
#include <hush/string.h>
#include "ctype.h"
#include <hush/iostream.h>
int mycmp(char *s1, char *s2);
char *s,*strcpy();
char* tol(char*);
char buf[BUFSIZ];
static int in_link = 0;
void printref(char* id, char* f, char* pre="n-") {
  if (in_link) cout << id;
  else cout << "<a novref=true text=@key href=" << pre << f << ".html>" << id << "</a>";
  }
%}
%%
"<a"[^\>]*">" { cout << yytext; in_link = 1; }
"</a>" { cout << yytext; in_link = 0; }
"<slide"[^\>]*">" { cout << yytext; }
[A-Za-z][A-Za-z[0-9]+ {
string x = (char*) yytext;
//cerr << (char*) x << endl;
if (x == "Anchor") { printref(yytext, tol(yytext)); }
else if (x == "Appearance" ) { printref(yytext, tol(yytext)); }
else if (x == "AudioClip" ) { printref(yytext, tol(yytext)); }
else if (x == "Background" ) { printref(yytext, tol(yytext)); }
else if (x == "Billboard" ) { printref(yytext, tol(yytext)); }
else if (x == "Box" ) { printref(yytext, tol(yytext)); }
else if (x == "Collision" ) { printref(yytext, tol(yytext)); }
else if (x == "Color" ) { printref(yytext, tol(yytext)); }
else if (x == "ColorInterpolator" ) { printref(yytext, tol(yytext)); }
else if (x == "Cone" ) { printref(yytext, tol(yytext)); }
else if (x == "Coordinate" ) { printref(yytext, tol(yytext)); }
else if (x == "CoordinateInterpolator" ) { printref(yytext, tol("Coordinateinterpol")); }
else if (x == "Cylinder" ) { printref(yytext, tol(yytext)); }
else if (x == "CylinderSensor" ) { printref(yytext, tol(yytext)); }
else if (x == "DirectionalLight" ) { printref(yytext, tol(yytext)); }
else if (x == "ElevationGrid" ) { printref(yytext, tol(yytext)); }
else if (x == "Extrusion" ) { printref(yytext, tol(yytext)); }
else if (x == "Fog" ) { printref(yytext, tol(yytext)); }
else if (x == "FontStyle" ) { printref(yytext, tol(yytext)); }
else if (x == "Group" ) { printref(yytext, tol(yytext)); }
else if (x == "ImageTexture" ) { printref(yytext, tol(yytext)); }
else if (x == "IndexedFaceSet" ) { printref(yytext, tol(yytext)); }
else if (x == "IndexedLineSet" ) { printref(yytext, tol(yytext)); }
else if (x == "Inline" ) { printref(yytext, tol(yytext)); }
else if (x == "LOD" ) { printref(yytext, tol(yytext)); }
else if (x == "Material" ) { printref(yytext, tol(yytext)); }
else if (x == "MovieTexture" ) { printref(yytext, tol(yytext)); }
else if (x == "NavigationInfo" ) { printref(yytext, tol(yytext)); }
else if (x == "Normal" ) { printref(yytext, tol(yytext)); }
else if (x == "NormalInterpolator" ) { printref(yytext, tol(yytext)); }
else if (x == "OrientationInterpolator" ) { printref(yytext, tol("OrientationInterpo")); }
else if (x == "PictureTexture" ) { printref(yytext, tol(yytext)); }
else if (x == "PlanarSensor" ) { printref(yytext, tol(yytext)); }
else if (x == "PointLight" ) { printref(yytext, tol(yytext)); }
else if (x == "PointSet" ) { printref(yytext, tol(yytext)); }
else if (x == "PositionInterpolator" ) { printref(yytext, tol("Positioninterp")); }
else if (x == "ProximitySensor" ) { printref(yytext, tol(yytext)); }
else if (x == "ScalarInterpolator" ) { printref(yytext, tol(yytext)); }
else if (x == "Script" ) { printref(yytext, tol(yytext)); }
else if (x == "Shape" ) { printref(yytext, tol(yytext)); }
else if (x == "Sound" ) { printref(yytext, tol(yytext)); }
else if (x == "Sphere" ) { printref(yytext, tol(yytext)); }
else if (x == "SphereSensor" ) { printref(yytext, tol(yytext)); }
else if (x == "SpotLight" ) { printref(yytext, tol(yytext)); }
else if (x == "Switch" ) { printref(yytext, tol(yytext)); }
else if (x == "Text" ) { printref(yytext, tol(yytext)); }
else if (x == "TextureCoordinate" ) { printref(yytext, tol(yytext)); }
else if (x == "TimeSensor" ) { printref(yytext, tol(yytext)); }
else if (x == "TouchSensor" ) { printref(yytext, tol(yytext)); }
else if (x == "Transform" ) { printref(yytext, tol(yytext)); }
else if (x == "Viewpoint" ) { printref(yytext, tol(yytext)); }
else if (x == "VisibilitySensor" ) { printref(yytext, tol(yytext)); }
else if (x == "WorldInfo" ) { printref(yytext, tol(yytext)); }
else if (x == "Camera" ) { printref(yytext, tol(yytext),"b-"); }
else if (x == "DeviceSensor" ) { printref(yytext, tol(yytext),"b-"); }
else if (x == "Event" ) { printref(yytext, tol(yytext),"b-"); }
else if (x == "KeySensor" ) { printref(yytext, tol(yytext),"b-"); }
else if (x == "Layer2D" ) { printref(yytext, tol(yytext),"b-"); }
else if (x == "Layer3D" ) { printref(yytext, tol(yytext),"b-"); }
else if (x == "MouseSensor" ) { printref(yytext, tol(yytext),"b-"); }
else if (x == "MultiTexture" ) { printref(yytext, tol(yytext),"b-"); }
else if (x == "Particles" ) { printref(yytext, tol(yytext),"b-"); }
else if (x == "TextureCoordGen" ) { printref(yytext, tol(yytext),"b-"); }
else cout << yytext;
}
\n { ECHO; }
. { ECHO; }
%%
//@ main
int main() {
lex l; l();
return 0;
}

char *tol(char *s)
{
char buf[1024];
strcpy(buf,s);
char *p = buf;
char *q = buf;
while (*q != '\0') { 
	if (isupper(*q)) *q = tolower(*q);
	q++;
	}
return(p);
}

int mycmp(char *s1, char *s2)
{
while (*s1 != '\0' && *s2 != '\0' && *s1 == tolower(*s2) ) { s1++; s2++; }
if (*s1 == '\0') return(1);
else return(0);
}



